[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# TManagedField

Managed field description

## Declaration

Source position: typinfo.pp line 271

`type TManagedField = packed record`
`public`
`property TypeRef: PTypeInfo; [r]` |  | Type information for the field
`TypeRefRef: PPTypeInfo;`
`FldOffset: SizeInt;` |  | Offset in the record memory layout
``
`end;`

## Description

TManagedField describes 1 managed field in a record. It consists of type information (TypeRef) and an offset in the record's memory layout (FldOffset). Size can be determined from the type information.

## See also

TManagedField |  | Managed field description
TTypeKind |  | Type of a property.
TTypeData |  | Class properties type data record.